Redmine - Defect #2424

functional test error - RepositoriesGitControllerTest / test_annotate_binary_file

2008-12-31 10:41 - yves dufour

Status: Closed Start date: 2008-12-31
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

assert_tag :tag => 'div', :attributes => { :class => /error/ },
:content => /can not be annotated/
leads to an error ..

should use the flash assertion

assert flash[:error], 'can not be annotated'

History

#1 - 2009-01-03 14:28 - Jean-Philippe Lang

- Status changed from New to Closed

assert flash[:error], 'can not be annotated'

The assertion passes but it doesn't do what you expect.

You may want to read the doc of the assert method:
http://www.ruby-doc.org/stdlib/libdoc/test/unit/rdoc/classes/Test/Unit/Assertions.htmI#M004506

Anyway, | don't get any error. So please post the error/failure log.

#2 - 2011-08-23 17:27 - Etienne Massip
- Category set to SCM
